<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>项目管理-信息登记</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/formSelects-v4.css" media="all">
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/lib/font/iconfont.css"/>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-form layui-card">
        <div class="layui-tab layui-tab-brief">
            <ul class="layui-tab-title">

                <sfTags:pagePermission authFlag="XMGL_XMGL_DZSXX_T"
                                       html='<a href="${ctx}/customerEntry/auditOneselfList"><li class="layui-this">设计自审</li></a>'/>

                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10 " type="reset" onclick="reset()">
                    <i class="layui-icon fs-12">&#xe9aa;</i>
                    重置
                </button>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10" id="searchBtn" lay-submit
                        lay-filter="LAY-user-back-search"><i class="layui-icon fs-12">&#xe615;</i>查询
                </button>
            </ul>
        </div>
        <div class="layui-card-body layuiadmin-card-header-auto">
            <form class="layui-form layui-card" action="" id="searchForm">
                <div class="layui-form-item">
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">产品编号：</label>
                        <div class="layui-input-block">
                            <select name="projectId" lay-search>
                                <option value="">请选择</option>
                                <c:forEach items="${projectList}" var="pro">
                                    <option value="${pro.columns.id}">${pro.columns.code}</option>
                                </c:forEach>

                            </select>
                        </div>
                    </div>
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">产品名称：</label>
                        <div class="layui-input-block">
                            <input type="text" name="projectName" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">电站编码：</label>
                        <div class="layui-input-block">
                            <input type="text" name="powerStationCode" class="layui-input">
                        </div>
                    </div>
                    <c:if test="${user.userType ne '6' && user.userType ne '7'}">
                        <div class="layui-col-lg2 layui-col-sm3">
                            <label class="layui-form-label">代理商名称：</label>
                            <div class="layui-input-block">
                                <select name="traderId" lay-search>
                                    <option value="">请选择</option>
                                    <c:forEach items="${traderList}" var="trader">
                                        <option value="${trader.columns.id}">${trader.columns.name}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                        <div class="layui-col-lg2 layui-col-sm3">
                            <label class="layui-form-label">代理商电话：</label>
                            <div class="layui-input-block">
                                <input type="text" name="traderMobile" class="layui-input">
                            </div>
                        </div>
                    </c:if>
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">业主姓名：</label>
                        <div class="layui-input-block">
                            <input type="text" name="tenantName" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">联系方式：</label>
                        <div class="layui-input-block">
                            <input type="text" name="mobile" class="layui-input">
                        </div>
                    </div>


                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">备注：</label>
                        <div class="layui-input-block">
                            <input type="text" name="remarks" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">屋顶类型：</label>
                        <div class="layui-input-block">
                            <select name="roofType">
                                <option value="">请选择</option>
                                <option value="斜屋顶">斜屋顶</option>
                                <option value="平屋顶">平屋顶</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">划转方式：</label>
                        <div class="layui-input-block">
                            <select name="repaymentMethod">
                                <option value="">请选择</option>
                                <option value="1">二类卡</option>
                                <option value="2">光E宝</option>
                                <option value="0">其它</option>
                            </select>
                        </div>
                    </div>

                    <div class="layui-col-lg4 layui-col-sm6">
                        <label class="layui-form-label">登记时间：</label>
                        <div class="layui-input-block">
                            <div class="layui-col-xs5">
                                <input type="text" name="createTimeMin" class="layui-input" id="createEndStartTime"
                                       placeholder="开始日期">
                            </div>
                            <div class="layui-col-xs2 text-c lh-30">
                                —
                            </div>
                            <div class="layui-col-xs5">
                                <input type="text" name="createTimeMax" class="layui-input" id="createEndEndTime"
                                       placeholder="结束日期">
                            </div>
                        </div>
                    </div>

                </div>
            </form>
        </div>
    </div>
    <div class="layui-card">
        <div class="layui-card-body">
            <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
            <script type="text/html" id="toolbarDemo">
                <div class="layui-btn-container">
                <c:if test="${(user.userType eq '6' || user.userType eq '7') && '1' eq user.traderType}">
                    <button class="layui-btn layui-btn-sm" lay-event="batchAudit" id="batchAudit"><i
                            class="layui-icon layui-icon-auz"></i>批量自审
                    </button>
                </c:if>
                    <button class="layui-btn layui-btn-sm" lay-event="export" id="exportBtn"><i
                            class="layui-icon layui-icon-export"></i>导出列表
                    </button>
                </div>
            </script>
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/lib/formSelects-v4.js"></script>
<script>
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer', 'laypage', 'laydate', 'form'], function () {
        //layui.use(['table','layer','laypage','laydate','form'], function(){
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        table = tableExt.getLayTable();

        var type = "${user.userType}";
        var traderType="${user.traderType}";

        //开始日期
        var endStartTime = laydate.render({
            elem: '#createEndStartTime'
            /* ,type: 'datetime'*/
            , done: function (value, date) {
                //更新结束日期的最小日期
                endEndTime.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });
                //自动弹出结束日期的选择器
                endEndTime.config.elem[0].focus();
            }
        });
        //结束日期
        var endEndTime = laydate.render({
            elem: '#createEndEndTime'
            /* ,type: 'datetime'*/
            , done: function (value, date) {
                //更新开始日期的最大日期
                endStartTime.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        });

        tableExt.render({
            elem: '#test'
            , title: '信息登记'
            , height: 'full-230'
            , toolbar: '#toolbarDemo'
            , defaultToolbar: false
            , limits: [20, 50, 100]
            , limit: 20
            , page: true //开启分页
            , url: '${ctx}/customerEntry/getAuditOneself'
            , cols: [[
                {type: 'numbers', fixed: 'left', title: '序号'}
                , {type: 'checkbox', fixed: 'left'}
                , {
                    field: 'id',
                    title: '操作',
                    minWidth: '230',
                    align: 'center',
                    fixed: 'left',
                    templet: function (d) {
                        var html = "";
                        if (type == '6' || type == '7') {
                            if('1'==traderType){
                                html += "<a href=\"#\" class=\"layui-table-link layui-icon   \" style='font-size:14px;' onclick=\"editCustomerEntry('" + d.id + "')\">自审</a>&nbsp;&nbsp;";
                            }
                        }
                        if (!isBlank(html)) {
                            return html;
                        } else {
                            return "--";
                        }
                    }
                }
                , {
                    field: 'power_station_code',
                    title: '电站编码',
                    minWidth: 150,
                    sort: false,
                    fixed: 'left',
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        var flag = d.flag;
                        var html = "";
                        <c:if test="${user.userType ne '6' && user.userType ne '7'}">
                        if (isBlank(flag)) {//
                            html = "<i class=\"icon iconfont\" style=\"color: #8D8D8D\" onclick=\"customerEntryFlag('" + d.id + "')\">&#xe6b0;</i>";
                        } else {
                            html = "<i class=\"icon iconfont \" style=\"color: " + d.flag_type + ";\" onclick=\"customerEntryFlag('" + d.id + "')\">&#xe6b0;</i>";
                        }
                        </c:if>
                        return html + '<a href="#" class="layui-table-link" onclick="psDetail(\'' + d.id + '\')">' + d.power_station_code + '</a>';
                    }
                }
                , {
                    field: 'status',
                    title: '电站状态',
                    minWidth: '120',
                    sort: false,
                    fixed: 'left',
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.status === '2') {
                            return "<span data-pass = \"passed\">审核驳回</span>";
                        } else if (d.status === '0') {
                            return "暂存";
                        } else if (d.status === 'h') {
                            return "待自审";
                        } else {
                            return "待审核";
                        }
                    },
                    expFormat: function (d) {
                        if (d.status === '2') {
                            return "审核驳回";
                        } else if (d.status === '0') {
                            return "暂存";
                        } else if (d.status === 'h') {
                            return "待自审";
                        } else {
                            return "待审核";
                        }
                    }
                }
                , {
                    field: 'examine_remarks',
                    title: '审核备注',
                    minWidth: '130',
                    align: 'center',
                    exportable: true
                }
                , {field: 'first_apply_status', title: '进件状态', minWidth: 130, align: 'center', exportable: true
                    , templet:function(d){
                        return applyStatusStr(d.first_apply_status);
                    }
                    , expFormat: function(d){
                        return applyStatusStr(d.first_apply_status);
                    }
                }
                , {
                    field: 'apply_back_reason',
                    title: '进件驳回原因',
                    minWidth: '130',
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet:function (d){
                        if(d.first_apply_status=='REJECTED' || d.first_apply_status=='APPROVED_RETURN' || d.first_apply_status=='CANCEL'){
                             return d.apply_back_reason;
                        }else{
                            return "";
                        }
                    },expFormat:function (d){
                        if(d.first_apply_status=='REJECTED' || d.first_apply_status=='APPROVED_RETURN' || d.first_apply_status=='CANCEL'){
                            return d.apply_back_reason;
                        }else{
                            return "";
                        }
                    }
                }
                , {
                    field: 'projectCode',
                    title: '产品编号',
                    minWidth: '130',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {
                    field: 'projectName',
                    title: '产品名称',
                    minWidth: '130',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                <c:if test="${user.userType ne '6' && user.userType ne '7'}">
                , {
                    field: 'traderName',
                    title: '代理商名称',
                    minWidth: '150',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {
                    field: 'traderMobile',
                    title: '代理商电话',
                    minWidth: '100',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                </c:if>
                <c:if test="${'2' ne ifTop}">
                , {field: 'createTraderName',title: '二级代理商',minWidth: '150',sort: false,align: 'center',exportable: true
                    ,templet: function (d) {
                        if(d.distributor_id==d.create_trader_id){
                            return "";
                        }else{
                            return d.createTraderName
                        }
                    },
                    expFormat: function (d) {
                        if(d.distributor_id==d.create_trader_id){
                            return "";
                        }else{
                            return d.createTraderName
                        }
                    }
                }
                </c:if>
                , {
                    field: 'tenant_name',
                    title: '业主姓名',
                    minWidth: '150',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {field: 'mobile', title: '联系方式', minWidth: '100', sort: false, align: 'center', exportable: true}
                , {field: 'id_code', title: '身份证号', minWidth: '100', sort: false, align: 'center', exportable: true}
                , {
                    field: 'roof_type',
                    title: '屋顶类型',
                    minWidth: '100',
                    align: 'center',
                    exportable: true
                }
                , {field: 'address', title: '安装地址', minWidth: '100', sort: false, align: 'center', exportable: true}
                , {
                    field: 'distance',
                    title: '并网距离（米）',
                    minWidth: '100',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {field: 'azimuth', title: '方位角', minWidth: '100', align: 'center', exportable: true,
                    templet: function (d) {
                        if (d.azimuth === '1') {
                            return '正南';
                        } else if (d.azimuth === '2') {
                            return '南偏东'+d.angle+'度';
                        } else if (d.azimuth === '3') {
                            return '南偏西'+d.angle+'度';
                        } else {
                            return '';
                        }
                    },
                    expFormat: function (d) {
                        if (d.azimuth === '1') {
                            return '正南';
                        } else if (d.azimuth === '2') {
                            return '南偏东'+d.angle+'度';
                        } else if (d.azimuth === '3') {
                            return '南偏西'+d.angle+'度';
                        } else {
                            return '';
                        }
                    }
                }
                , {
                    field: 'building_height',
                    title: '建筑高度（米）',
                    minWidth: '100',
                    align: 'center',
                    exportable: true
                }
                , {
                    field: 'shoot_type',
                    title: '拍摄方式',
                    minWidth: '80',
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.shoot_type === '1') {
                            return '无人机拍摄';
                        } else {
                            return '手机拍摄';
                        }
                    },
                    expFormat: function (d) {
                        if (d.shoot_type === '1') {
                            return '无人机拍摄';
                        } else {
                            return '手机拍摄';
                        }
                    }
                }
                , {field: 'remarks', title: '备注', minWidth: '150', sort: false, align: 'center', exportable: true}
                , {
                    field: 'scheme_type',
                    title: '设计方案',
                    minWidth: '100',
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.scheme_type === '1') {
                            return '标准方案';
                        } else {
                            return '组合方案';
                        }
                    },
                    expFormat: function (d) {
                        if (d.scheme_type === '1') {
                            return '标准方案';
                        } else {
                            return '组合方案';
                        }
                    }
                }
                , {
                    field: 'repayment_method',
                    title: '划转方式',
                    minWidth: '100',
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.repayment_method === '1') {
                            return '二类卡';
                        }else if (d.repayment_method === '2') {
                            return '光E宝';
                        }else if (d.repayment_method === '0') {
                            return '其它';
                        }
                        return '';
                    },
                    expFormat: function (d) {
                        if (d.repayment_method === '1') {
                            return '二类卡';
                        }else if (d.repayment_method === '2') {
                            return '光E宝';
                        }else if (d.repayment_method === '0') {
                            return '其它';
                        }
                        return '';
                    }
                }
                , {
                    field: 'product_line_name',
                    title: '产品线',
                    minWidth: '150',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {
                    field: 'product_line',
                    title: '业务属性',
                    minWidth: '100',
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        return transAttribute(d.product_line);
                    },
                    expFormat: function (d) {
                        return transAttribute(d.product_line);
                    }
                }
                , {
                    field: 'project_company_name',
                    title: '所属项目公司',
                    minWidth: '150',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {
                    field: 'create_time',
                    title: '登记时间',
                    minWidth: '180',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
            ]], done: function (res, cuss, count) {
                $('span[data-pass="passed"]').parent().parent().parent().css('background-color', '#ffeaf2');
                // $('.layui-table-header .laytable-cell-checkbox input').attr('disabled', 'disabled');
            }
            , exportOpt: {                           //导出选项配置
                ele: '#exportBtn',                   //导出的Dom元素
                headerTitle: '信息登记',             //excel表格的标题
                pageData: false,                     //true:导出的数据为页面数据，false:最大导出maxAmount条数据
                maxAmount: 5000,                    //当pageData为false生效
                fileName: '信息登记',
                where: function () {                 //当pageData为false时生效，过滤的条件
                    return _serializeJson($("#searchForm"));
                }
            }
        });

        function transAttribute(productLineAttribute) {
            switch (productLineAttribute) {
                case '1':
                    return '纯租25年业务';
                case '2':
                    return '经营性租赁';
                case '3':
                    return '融资租赁';
                case '4':
                    return '光伏贷';
                case '5':
                    return '全款';
                case '6':
                    return '其他';
                default:
                    return '';
            }
        }

        table.on('toolbar(test)', function (obj) {
            var checkStatus = table.checkStatus(obj.config.id);
            var ids = [];
            switch (obj.event) {
                case 'batchAudit':
                    if (checkStatus.data.length < 1) {
                        layer.msg("请先选择数据",{icon:5,anim:6});
                        return;
                    }
                    for (var i = 0; i < checkStatus.data.length; i++) {
                        var status = checkStatus.data[i].status;
                        if (status != 'h' && status != '2') {
                            layer.msg('选中数据中存在非待自审数据',{icon:5,anim:6});
                            return;
                        }
                        ids.push(checkStatus.data[i].id);
                    }
                    var data = {
                        ids: ids
                    }
                    layer.confirm('确定自审通过选中数据？', {
                        icon: 3,
                        btn: ['确定', '取消']
                    }, function () {
                        $.ajax({
                            type: 'post',
                            url: '${ctx}/customerEntry/batchOneselfAudit',
                            contentType: 'application/json;charsetset=UTF-8',
                            data: JSON.stringify(data),
                            success: function(result) {
                                if (result.code === '200') {
                                    layer.msg('操作成功', {time: 1000}, function() {
                                        $(".layui-laypage-btn").click();
                                    });
                                } else {
                                    layer.msg('操作失败！'+result.errMsg);
                                }
                            }
                        })
                    });
                    break;

            }

        });

        //监听搜索
        form.on('submit(LAY-user-back-search)', function (data) {
            var field = data.field;
            //执行重载
            tableExt.reload('test', {
                where: field,
                page: {
                    curr: 1
                }
            });
        });

        $('input').on('keydown', function(event){
            if(event.keyCode == 13){
                //执行相关操作
                $("#searchBtn").click();
            }
        });
    })


    function searchOrder() {
        //执行重载
        var wherobj = _serializeJson($("#searchForm"));
        tableExt.reload('test', {
            where: wherobj
        });
    }

    //查看详情
    function psDetail(id) {
        layer.open({
            type: 2
            , title: '电站详情'
            , content: '${ctx}/customerEntry/entryDetail?entryId=' + id
            , area: ['100%', '100%']
            , yes: function (index, layero) {

            }
        });
    }

    function customerEntryFlag(id) {
        layer.open({
            type: 2,
            content: "${ctx}/customerEntry/getFlagcustomerEntry?customerEntryId=" + id //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
            , title: "标记项目"
            , area: ["300px", "260px"]
            , closeBtn: 0
            , shadeClose: true

        });
    }

    function editCustomerEntry(id) {
        layer.open({
            type: 2,
            content: "${ctx}/customerEntry/getUpdateCustomerEntryForm?entryId=" + id //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
            , title: '信息详情' //不显示标题栏
            ,area: ['100%', '100%']
            , cancel: function () {
                searchOrder();
            }
        });
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function reset() {
        layui.form.render();
        $("#searchForm").find("select").val("");
        $("#searchForm").find("input").val("");
    }

    function  applyStatusStr(first_apply_status){
        if(first_apply_status == 'NEW'){
            return "待审批";
        }else if(first_apply_status == 'APPROVING'){
            return "审批中";
        }else if(first_apply_status == 'APPROVED'){
            return "审批通过";
        }else if(first_apply_status == 'REJECTED'){
            return "审批拒绝";
        }else if(first_apply_status == 'CLOSED'){
            return "取消";
        }else if(first_apply_status == 'APPROVED_RETURN'){
            return "退回";
        }else if(first_apply_status == 'CANCEL'){
            return "撤回";
        }else {
            return "";
        }
    }
</script>
</body>
</html>

